//
//  UIFont+Zeplin.swift
//
//  Generated by Zeplin on 3/21/18.
//  Copyright (c) 2018 H-E-B. All rights reserved.
//

import UIKit

public extension UIFont {
    class var largeTitle: UIFont {
        // Typography.title1 is 28.0 and black
        UIFont.systemFont(ofSize: 31.0, weight: .heavy)
    }

    @available(*, deprecated, message: "Use `yourLabel.title0()` instead.")
    class var title0: UIFont {
        Typography.title1.font
    }

    class var title1: UIFont {
        // Typography.title1 is 28.0 and black
        UIFont.systemFont(ofSize: 26.0, weight: .heavy)
    }

    class var title3: UIFont {
        // Typography.title3 is 22.0 and black
        UIFont.systemFont(ofSize: 22.0, weight: .heavy)
    }

    @available(*, deprecated, message: "Use `yourLabel.title3()` instead. If you need only the font use `Typography.title3.font`.")
    class var title5: UIFont {
        Typography.title3.font
    }

    @available(*, deprecated, message: "Use `yourLabel.title5()` instead. If you need only the font use `Typography.title5.font`.")
    class var title6: UIFont {
        Typography.title5.font
    }

    class var headline0: UIFont {
        // Typography.title5 is 20 and black
        UIFont.systemFont(ofSize: 19.0, weight: .black)
    }

    class var headline1: UIFont {
        // Typography.body2 is 16 and heavy
        // Typography.title5 is 20 and black
        UIFont.systemFont(ofSize: 19.0, weight: .heavy)
    }

    class var headline2: UIFont {
        // Typography.title6 is 20 and regular
        UIFont.systemFont(ofSize: 19.0, weight: .regular)
    }

    /// DEPRECATED: Use `Typography.body2.font` instead
    class var body1: UIFont {
        Typography.body2.font
    }

    @available(*, deprecated, message: "Use `yourLabel.body2MonospacedDigit()` instead. If you need only the font use `Typography.body2MonospacedDigit.font`.")
    class var body1MonospacedDigit: UIFont {
        Typography.body2MonospacedDigit.font
    }

    /// DEPRECATED: Use `Typography.body1.font` instead
    class var body2: UIFont {
        Typography.body1.font
    }

    @available(*, deprecated, message: "Use `yourLabel.body1Italic()` instead. If you need only the font use `Typography.body1Italic.font`.")
    class var body2Italic: UIFont {
        Typography.body1Italic.font
    }

    class var body3MonospacedDigit: UIFont {
        // Typography.body2MonospacedDigit is 16 and heavy
        UIFont.monospacedDigitSystemFont(ofSize: 15.0, weight: .heavy)
    }

    /// DEPRECATED: Use `Typography.caption2.font` instead
    class var subhead1: UIFont {
        Typography.caption2.font
    }

    @available(*, deprecated, message: "Use `yourLabel.caption2MonospacedDigit()` instead. If you need only the font use `Typography.caption2MonospacedDigit.font`.")
    class var subhead1MonospacedDigit: UIFont {
        Typography.caption2MonospacedDigit.font
    }

    /// DEPRECATED: Use `Typography.caption1.font` instead
    class var subhead2: UIFont {
        Typography.caption1.font
    }

    class var subhead2SemiBold: UIFont {
        // Typography.caption2 is 14 and heavy
        UIFont.systemFont(ofSize: 14.0, weight: .semibold)
    }

    @available(*, deprecated, message: "Use `yourLabel.caption1Italic()` instead. If you need only the font use `Typography.caption1Italic.font`.")
    class var subhead2Italic: UIFont {
        Typography.caption1Italic.font
    }

    /// DEPRECATED: Use `Typography.subcaption2.font` instead
    class var caption1: UIFont {
        Typography.subcaption2.font
    }

    @available(*, deprecated, message: "Use `yourLabel.subcaption2MonospacedDigit()` instead. If you need only the font use `Typography.subcaption2MonospacedDigit.font`.")
    class var caption1MonospacedDigit: UIFont {
        Typography.subcaption2MonospacedDigit.font
    }

    /// DEPRECATED: Use `Typography.subcaption1.font` instead
    class var caption2: UIFont {
        Typography.subcaption1.font
    }

    @available(*, deprecated, message: "Use `yourLabel.subcaption1Italic()` instead. If you need only the font use `Typography.subcaption1Italic.font`.")
    class var caption2Italic: UIFont {
        Typography.subcaption1Italic.font
    }

    class var caption2SemiBold: UIFont {
        // Typography.subcaption2 is 12.0 and heavy
        UIFont.systemFont(ofSize: 12.0, weight: .semibold)
    }

    @available(*, deprecated, message: "Use `yourLabel.footnote2()` instead. If you need only the font use `Typography.footnote2.font`.")
    class var caption3: UIFont {
        Typography.footnote2.font
    }

    @available(*, deprecated, message: "Use `yourLabel.footnote1()` instead. If you need only the font use `Typography.footnote1.font`.")
    class var caption4: UIFont {
        Typography.footnote1.font
    }
}
